Subject: Re: [CCAMP] FW: New Version Notification for draft-zhang-ccamp-l1-topo-yang-03.txt

From: "Zhangxian (Xian)" <[email-masked]>
Date: Thu, 13 Oct 2016 03:17:41 +0000

Hi, Huub, 

    Thank you for giving such detailed review comments. They are very useful for us to improve this draft. 

    Please see inline for my (belated) response to your suggestions/comments, marked with <Xian>: 

Regards,
Xian

-----邮件原件-----
发件人: Huub van Helvoort [mailto:[email-masked]] 
发送时间: 2016年7月9日 5:12
收件人: Zhangxian (Xian); [email-masked]
主题: Re: [CCAMP] FW: New Version Notification for draft-zhang-ccamp-l1-topo-yang-03.txt

Dear Xian and other authors,

I have carefully read your draft, and I have a number of comments.

 > Name:		draft-zhang-ccamp-l1-topo-yang
 > Revision:	03
 > Title:	A YANG Data Model for Layer 1 (ODU) Network Topology
 > Document date:	2016-07-08
 > Group:	Individual Submission
 > Pages:	16
 > URL: 
https://www.ietf.org/internet-drafts/draft-zhang-ccamp-l1-topo-yang-03.txt

I suggest to change the title of this draft into:
"A YANG Data Model for Optical Transport Network (OTN) Topology"

The reason is that OTN has also layer 2 capabilities, and ODU is only one frame structure in the OTN.

<Xian>: OK. But as RFC7062 etc. specified, this model will only cover the electrical layer resource information. I will make that clear in the draft.

In "Abstract" and "Introduction"
= replace "opaquely" by "transparently"
= remove "evolving" SDH/SONEt are already 25 years in the filed
   and OTN already 15 years
= replace "Networking (SONET)" by "Network (SONET)"
= replace "epitomized" by "provided"
= replace "manipulate" by "manage"
= replace "a layer 1" by "an"
= replace "manipulation" by "management"
= replace "obtaining" by provisioning"

<Xian>: All taken except the evolving word. I think OTN is still evolving, now flex-OTN specified by ITU-T. I will get rid of SDH/SONET which does stop to be updated anymore.

In "Introduction"
= first bullit: remove "maybe"
= second bullit: replave "enforce" by "provision"
= replace "electronic" by "electric"

<Xian>: Ok; will update.

= question: why is the optical part of OTN not included?

<Xian>: In IETF, the electrical layer and optical layer of OTN are controlled separately. So, we are just following what is defined before, instead of modeling them together.

= replace
"Other network layers, such as fixed
    Dense Wavelength Switched Optical Network (WSON) and flexible
    optical networks (a.k.a., flexi-grid networks) are covered in [WSON-
    YANG] and [Flexi-YANG], respectively."
by
"Other optical network technologies, such as fixed Dense Wavelength
  Division Multiplex (DWDM) Switched Optical Network (WSON) and flexible
  DWDM networks (a.k.a., flexi-grid networks) are covered in [WSON-
  YANG] and [Flexi-YANG], respectively."

<Xian> OK.

Section 4:
= replace "Layer 1" by "OTN" (throughout the whole draft)

<Xian>: ok. 

Section 4.1:
module: ietf-odu-topology
= question: why "fec-enabled" an ODU has no FEC, FEC is part of OTU.

<Xian>: I think it should belong to the OTN-optical layer (so it will go to WDM topology YANG model). Are you ok with this?

= replace "timeslots" by tributaryslots"

<Xian>: ok. 

= question: why "distance", ODU transport is independent of distance = question: why only "oduflex-bw" and not odu-bw, ODU1, ODU2, ODU3 and
   ODU4 have different bandwidth

<Xian>: We may only expose the electrical layer topology to the client and the client want to have this information so as to minimize delay (as an approximation estimation), assuming delay information is not available. But if optical layer topology is provided, I think it makes more sense to put them in the WDM layer (such as put it in the TE metric).  I will leave it for now to collect more feedbacks. 

<Xian>: second question: we plan to remove ODUflex-bw in the updated model since the same max-bandwidth slot can capture the bandwidth information.

Section 4.2:
module ietf-odu-topology
= replace "description "TBD"" by "description "SDH/SONET section""

<Xian>: Ok; will do.

= question: OTN has LO-ODU and HO-ODU, I would expect also
        enum ODU {
          description "Optical Data Unit";
        }

= in "Groupings" replace "l1-network" by "OTN"

<Xian>: ok.

= "distance" is a property for the optical port in OTN, not the ODU.

<Xian>: see above.

= replace "ODU type scedhuled" by "ODU type scheduled"
= replace "banwidth for ODUflex" by "bandwidth for ODUflex"
= missing ODUk bandwidth
<Xian>: ok; if they are still applicable in the updated model. :-)

= "fec-enabled" is only applicable to OTUk termination point

<Xian>: see above.

= replace "container timeslots" by "container tributaryslots"
= replace "tributary timeslots" by "tributary slots"
= replace "Tributary timeslot value" by "Tributary slot value"

<Xian>: ok. Will do.

Section 5"
= replace "manipulated" by "managed"

<Xian>: ok. Will do.

Cheers,
Xian

Best regards, Huub.

--
=================================================================
Always remember that you are unique... just like everyone else...